[PATCH net-next v3 10/11] selftests/vsock: add vsock_loopback module loading
From: Bobby Eshleman
Date: Thu Nov 06 2025 - 19:50:02 EST
From: Bobby Eshleman <bobbyeshleman@xxxxxxxx>
Add vsock_loopback module loading to the loopback test so that vmtest.sh
can be used for kernels built with loopback as a module.
This is not technically a fix as kselftest expects loopback to be
built-in already (defined in selftests/vsock/config). This is useful
only for using vmtest.sh outside of kselftest.
Reviewed-by: Stefano Garzarella <sgarzare@xxxxxxxxxx>
Signed-off-by: Bobby Eshleman <bobbyeshleman@xxxxxxxx>
---
tools/testing/selftests/vsock/vmtest.sh | 2 ++
1 file changed, 2 insertions(+)
diff --git a/tools/testing/selftests/vsock/vmtest.sh b/tools/testing/selftests/vsock/vmtest.sh
index a5c33b475a39..cde048bd7fe6 100755
--- a/tools/testing/selftests/vsock/vmtest.sh
+++ b/tools/testing/selftests/vsock/vmtest.sh
@@ -463,6 +463,8 @@ test_vm_client_host_server() {
test_vm_loopback() {
local port=60000 # non-forwarded local port
+ vm_ssh -- modprobe vsock_loopback &> /dev/null || :
+
if ! vm_vsock_test "server" 1 "${port}"; then
return "${KSFT_FAIL}"
fi
--
2.47.3